{% from "components/file_card.html.j2" import datafile_card, schema_card %}
{% from "components/heading.html.j2" import heading %}

{% extends "partials/layout.html.j2" %}


{% block content %}

{% for schema_group in metadata %}
<div class="row">
    {# Schema Details Card #}
    <div class="col-12 col-md-6">
        <div class="d-md-none">
            {{ heading("Schema Details", centered=True) }}
        </div>
        {{ schema_card(schema_group["schema"], loop.index0) }}
    </div>
    <div class="col-12 col-md-6">
        <div class="d-md-none">
            {{ heading("Datafile Details", centered=True) }}
        </div>
        {% for datafile_metadata in schema_group["data_files"] %}
        {{ datafile_card(datafile_metadata, loop.index0) }}
        {% endfor %}
    </div>
</div>
{% endfor %}

{% endblock %}
